/****************************************************************************
** При нажатии на кнопку F1 включать/выключать реле.
****************************************************************************/
var numServer = 1;    // Номер сервера - это порядковый номер, а не адрес
var numPKU    = 1;    // Номер пульта - это порядковый номер, а не адрес
var numDev    = 5;    // Адрес прибора
var numRelay  = 2;    // Номер реле

var serverNumPKU = armSkif.convert2ByteToWord(numServer, numPKU);
var bStart = false;

//---------------------------------------------------------------------------
var keyF1     = 67;
var keyF2     = 68;
//---------------------------------------------------------------------------

//Вызвать функцию keyPress при нажатии клавиши на клавиатуре
armSkif.signalKeyPress.connect( keyPress );

//---------------------------------------------------------------------------
function keyPress(key, modifiers)
{
    //armSkif.writeLog("Нажата клавиша " + key);
    
    if (key === keyF1)
    {
        if (bStart)
        {
            bStart = false;
            armSkif.controlRelay(serverNumPKU, numDev, numRelay, armSkif.RL_ON ); // Включить реле
        }
        else
        {
            bStart = true;
            armSkif.controlRelay(serverNumPKU, numDev, numRelay, armSkif.RL_OFF ); // Включить реле
        }
    }
}
